Subject: Re: bug#48639: 28.0.50; tabulated-list-mode: columns move if previous entry was too long

From: Stefan Kangas <[email-masked]>
Date: Sun, 19 Sep 2021 23:25:31 -0700

Eli Zaretskii <[email-masked]> writes:

> I'm saying that some parts of the display are scaled by "C-x -" while
> others aren't, and that is what causes misalignment.

I could be wrong, but it seems to me that all fonts are scaling
correctly.  My guess is that it has to with how :align-to interacts with
selective display, either a bug in its interaction, or an incorrect use
of these features in 'tabulated-list-mode'.

> list-processes is not a good example: it depends on what is going on
> in the session, and in "emacs -Q" the display will generally be
> empty.  Can you please use some other command, and explain there what
> is wrong with scaling the display?

Try `list-packages'; move point to the "Name" column, hit `{' until you
see the "..." glyph indicating selective display, and finally `C-x -'.

Now, for some packages, but not all, the "Version" column no longer
has the correct horizontal alignment.  It is too far to the left.